Rockbox

Tasklist

FS#10938 - rbutilqt won't compile on OS X Snow Leopard due to lack of ppc support in some libraries

Attached to Project: Rockbox
Opened by Piotrek Marciniak (piotrekm) - Saturday, 30 January 2010, 00:16 GMT
Last edited by Dominik Riebeling (bluebrother) - Sunday, 05 September 2010, 09:48 GMT
Task Type Bugs
Category Rbutil
Status Closed
Assigned To No-one
Operating System All players
Severity Low
Priority Normal
Reported Version Rbutil SVN
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

The problem is that on Snow Leopard, i assume, some libraries are deprived of the ppc part while rbutil still requires them while compiling.
It would be nice to have the -arch ppc removed from Makefile in case compilation takes places on Snow Leopard. Make process got through without problems after I manually did so.
I used files from revision 24373.
This task depends upon

Closed by  Dominik Riebeling (bluebrother)
Sunday, 05 September 2010, 09:48 GMT
Reason for closing:  Not a Bug
Additional comments about closing:  This is really not a bug but a problem of the build setup (see my comment). However, I've now added a -config intel option to the qmake call which changes the project to target OS X 10.5 Intel only. Doesn't change the used libraries, but it builds fine for me using macx-g++ as spec.
Comment by Dominik Riebeling (bluebrother) - Saturday, 30 January 2010, 12:31 GMT
I can build Rockbox Utility fine on Snow Leopard (the svn binaries I'm providing at http://tinyurl.com/rbutil-dev are built on SL). Please be more detailed with the problem description, compiling also requires to use the correct QMAKESPEC value (the default, at least for Qt 4.6.0, doesn't work. See the deploy-release.py script for details).

Loading...